# $Revision: 1.31 $, $Date: 2012/02/09 20:58:19 $
#
# Conditional build:
%bcond_with	mmx	# use MMX instructions
%bcond_with	sse	# use SSE instructions
%bcond_without	doc	# apidocs
# reenable when new babl will arrive that actually is able to build
%bcond_with	vala	# Vala API
#
%ifarch %{x8664} athlon pentium3 pentium4
%define	with_mmx	1
%endif
%ifarch %{x8664} pentium3 pentium4
%define	with_sse	1
%endif
Summary:	Generic image processing library
Summary(pl.UTF-8):	Ogólna biblioteka przetwarzania obrazu
Name:		gegl
Version:	0.1.8
Release:	4
License:	LGPL v3+
Group:		Libraries
Source0:	ftp://ftp.gimp.org/pub/gegl/0.1/%{name}-%{version}.tar.bz2
# Source0-md5:	c8279b86b3d584ee4f503839fc500425
Patch0:		%{name}-lua.patch
Patch1:		%{name}-ffmpeg.patch
Patch2:		%{name}-ruby1.9.patch
Patch3:		%{name}-build.patch
URL:		http://www.gegl.org/
BuildRequires:	OpenEXR-devel
BuildRequires:	SDL-devel
BuildRequires:	UMFPACK-devel
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.11
BuildRequires:	babl-devel >= 0.1.6
BuildRequires:	cairo-devel
BuildRequires:	enscript
BuildRequires:	exiv2-devel
BuildRequires:	ffmpeg-devel >= 0.8
BuildRequires:	gdk-pixbuf2-devel >= 2.18.0
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	graphviz
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	jasper-devel >= 1.900.1
BuildRequires:	lensfun-devel >= 0.2.5
BuildRequires:	libjpeg-devel
BuildRequires:	libopenraw-devel >= 0.0.5
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 1:2.14.0
BuildRequires:	libspiro-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libv4l-devel
BuildRequires:	lua51-devel >= 5.1.0
BuildRequires:	pango-devel >= 1:1.10
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	ruby >= 1.9
%{?with_vala:BuildRequires:	vala}
Requires:	babl >= 0.1.6
Requires:	glib2 >= 1:2.28.0
Requires:	gdk-pixbuf2 >= 2.18.0
Requires:	jasper-libs >= 1.900.1
Requires:	lensfun >= 0.2.5
Requires:	libopenraw >= 0.0.5
Requires:	librsvg >= 1:2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGL's original design was made to scratch GIMP's itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies and a simple well defined API.

%description -l pl.UTF-8
GEGL (Generic Graphics Library) to oparty na grafice szkielet do
przetwarzania obrazu.

Pierwotny projekt biblioteki GEGL powstał z myślą o nowym rdzeniu do
składania i przetwarzania obrazu w GIMP-ie. Rdzeń ten jest
projektowany tak, by miał minimalne zależności i proste, dobrze
zdefiniowane API.

%package devel
Summary:	Header files for gegl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gegl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	babl-devel >= 0.1.6
Requires:	glib2-devel >= 1:2.28.0

%description devel
Header files for gegl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gegl.

%package static
Summary:	Static gegl library
Summary(pl.UTF-8):	Statyczna biblioteka gegl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gegl library.

%description static -l pl.UTF-8
Statyczna biblioteka gegl.

%package apidocs
Summary:	gegl library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gegl
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gegl library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gegl.

%package -n vala-gegl
Summary:	Vala API for gegl library
Summary(pl.UTF-8):	API języka Vala dla biblioteki gegl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-gegl
Vala API for gegl library.

%description -n vala-gegl -l pl.UTF-8
API języka Vala dla biblioteki gegl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/umfpack" \
	--enable-docs%{!?with_doc:=no} \
	%{!?with_mmx:--disable-mmx} \
	%{!?with_sse:--disable-sse} \
	--with%{!?with_vala:out}-vala \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gtkdochtmldir=%{_gtkdocdir}/gegl

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gegl-0.1/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gegl
%attr(755,root,root) %{_libdir}/libgegl-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgegl-0.1.so.0
%{_libdir}/girepository-1.0/Gegl-0.1.typelib
%dir %{_libdir}/gegl-0.1
%attr(755,root,root) %{_libdir}/gegl-0.1/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgegl-0.1.so
%{_libdir}/libgegl-0.1.la
%{_includedir}/gegl-0.1
%{_datadir}/gir-1.0/Gegl-0.1.gir
%{_pkgconfigdir}/gegl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgegl-0.1.a

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gegl
%endif

%if %{with vala}
%files -n vala-gegl
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gegl-0.1.vapi
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gegl.spec,v $
Revision 1.31  2012/02/09 20:58:19  arekm
- rel 4; disable vala for now

Revision 1.30  2012/02/08 13:38:56  arekm
- release 3

Revision 1.29  2012/02/07 22:01:12  arekm
- release 2

Revision 1.28  2011/11/26 08:08:47  qboosh
- added ruby1.9 patch (ruby 1.9 needs encoding specified)
- build docs by default

Revision 1.27  2011/11/26 06:12:23  qboosh
- updated to 0.1.8
- removed obsolete ffmpeg-0.8 patch
- added vala API (on bcond)

Revision 1.26  2011/09/08 17:16:35  qboosh
- just jasper-libs

Revision 1.25  2011/09/08 17:16:12  qboosh
- updated BRs/Rs, pass CPPFLAGS to detect UMFPACK

Revision 1.24  2011/09/08 11:13:49  lisu
- updated to 0.1.6
- updated babl BR
- use __rm macro

Revision 1.23  2011/07/24 15:53:57  arekm
- release 3

Revision 1.22  2011/07/20 10:20:37  glen
- fix doc bcond

Revision 1.21  2011/06/30 09:40:07  lisu
- ffmpeg-devel >= 0.8 due to ffmepeg-0.8.patch

Revision 1.20  2011/06/28 18:50:20  qboosh
- added ffmpeg-0.8 patch
- unified docs bcond to "doc"

Revision 1.19  2011/06/27 19:22:08  arekm
- release 2

Revision 1.18  2010/11/01 18:52:49  qboosh
- updated deps and cleaning
- disabled silent-rules

Revision 1.17  2010/06/24 09:23:58  arekm
- up to 0.1.2 (disabled docs; problems with ruby doc generation script and invalid sequences)

Revision 1.16  2010/02/27 17:17:55  hawk
- release 3

Revision 1.15  2010/01/14 11:52:22  hawk
- release 2

Revision 1.14  2009/07/14 14:00:08  arekm
- up to 0.1.0

Revision 1.13  2009/07/11 19:55:23  arekm
- release 2

Revision 1.12  2009/01/04 19:58:15  duddits
- up to 0.0.22
- ffmpeg patch updated

Revision 1.11  2008/10/13 17:33:28  qboosh
- updated to 0.0.20
- BR new ffmpeg (because of ffmpeg patch)

Revision 1.10  2008/10/01 20:02:07  arekm
- rel 4

Revision 1.9  2008/10/01 19:35:00  arekm
- rel 3

Revision 1.8  2008/10/01 18:43:36  arekm
- release 2

Revision 1.7  2008/06/19 21:47:49  qboosh
- use MMX/SSE only where always supported or explicitly requested

Revision 1.6  2008/06/18 21:42:55  wolf
- 0.0.18

Revision 1.5  2008-03-01 21:12:57  qboosh
- LGPL v3 now
- more BRs
- use real glib2 dep

Revision 1.4  2008-03-01 16:27:06  megabajt
- updated to 0.0.16
- created apidocs subpackage
- removed obsolete -build.patch; added -lua.patch

Revision 1.3  2007-06-17 09:29:49  qboosh
- libtoolize
- devel deps, BR versions

Revision 1.2  2007/06/17 00:09:12  qboosh
- pl
- fixed URL, Group and License

Revision 1.1  2007/06/11 00:33:24  aredridel
- added
